Skip to main content
`Ctrl`+`K`

# PetscDeviceGetType

Get the type of device

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceGetType(PetscDevice device, PetscDeviceType *type)

Not Collective

## Input Parameter

- device - The `PetscDevice`

## Output Parameter

- type - The `PetscDeviceType`

## See Also

`PetscDevice`, `PetscDeviceType`, `PetscDeviceSetDefaultDeviceType()`, `PetscDeviceCreate()`, `PetscDeviceConfigure()`, `PetscDeviceDestroy()`, `PetscDeviceGetDeviceId()`, `PETSC_DEVICE_DEFAULT()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages